Matt Brookings | 1 Dec 18:52 2005

Re: vuserinfo


Pauga, Olesa wrote:
> I am installing vpopmail 5.4-13, and when I ran vuserinfo, it returns no
> such user.
> 
>  
> 
> I have the database all set up and the directory is also created via
> vadduser.
> 
>  
> 
> What could cause this?

It seems as if you may have a misconfiguration somewhere.  Take a look at
http://qmailwiki.org/Vpopmail#One_of_my_users_can.27t_authenticate_via_POP3

> 
>  
> 
> Thanks in advance
> 

--
/*
    Matt Brookings <matt <at> inter7.com>       GnuPG Key B7B54216
    Software developer                     Systems technician
    Inter7 Internet Technologies, Inc.     (815)776-9465
*/
(Continue reading)

Matt Brookings | 1 Dec 18:51 2005

Re: smtp authentication


rizwan.iqbal <at> jkbmail.com wrote:
> Dear All,
> 
> How can i force my users to provide username and password for sending
> mails also.I have installed the Auth patch but dont have a clue how to
> force it.

I know you've received a few replies, but you might also be interested
in eMPF.  Not only does it give you the option of requiring SMTP authentication
to send mail, it also has messaging policies built in, which reduce spam automatically.

http://www.qmailwiki.org/EMPF

--
/*
    Matt Brookings <matt <at> inter7.com>       GnuPG Key B7B54216
    Software developer                     Systems technician
    Inter7 Internet Technologies, Inc.     (815)776-9465
*/
Dirk Tanneberger | 2 Dec 15:37 2005
Picon

semicolon in encrypted pw_ passwd field don't work ?

Hello,

a new server has a problem with users, which the encrypted pw_passwd field containing a semicolon in it.
The user can not login although the password is ok .

I have an old server running vpopmail-5.01, qmail-1.03
and mysql-3.23 under solaris 7 (LANG=C).
There is all ok, also the user with these semicolon can login correct.

Now i installed a new server with vpopmail-5.4.10, netqmail-1.05.
Vpopmail is compiled with the following options:
--enable-roaming-users=y --enable-auth-module=mysql --enable-mysql-replication=y \
--enable-incdir=/space/tools/mysql/include --enable-libdir=/space/tools/mysql/lib \
--enable-relay-clear-minutes=60 --enable-logging=v --enable-clear-passwd=y \
--enable-valias=y --enable-auth-logging=y --disable-passwd --disable-md5-passwords \
--disable-rebuild-tcpserver-file
The myslq-4.1 client-libraries are used.
These server use UTF-8.

When i create new passord with 'vpasswd' so long, till the pw_passwd field has no ';' in it, then
the user can login.

Has anybody an idea, where the problem is?
Thanks for any help.

regards
Dirk Tanneberger

Ken Jones | 2 Dec 18:09 2005

Re: Courier IMAP and IMAP account settings in VPOPMAIL

Matthew Moore wrote:
> Hi,
> 
>  
> 
> Recently I upgraded Courier IMAP to version 4.0.6 and authlib 0.57. Some
> users have a restriction on their IMAP settings set through Vpopmail
> that stops them checking their email via IMAP. Normally an account is
> setup in Vpopmail and the whole domain has IMAP switched off and then
> enabled for certain users under that domain. This all worked well up
> until the upgrade and now it would seem that Courier is ignoring the
> users settings and just using the domain settings.
> 
>  
> 
> For example this user is allowed to check via IMAP and the domain wide
> settings don't have permission to check via IMAP -
> 
>  
> 
> * OK [CAPABILITY IMAP4rev1 UIDPLUS CHILDREN NAMESPACE
> THREAD=ORDEREDSUBJECT THREAD=REFERENCES SORT QUOTA IDLE ACL ACL2=UNION]
> Courier-IMAP ready. Copyright 1998-2005 Double Precision, Inc.  See
> COPYING for distribution information.
> 
> use
> 
> use NO Error in IMAP command received by server.
> 
> a001 login user <at> xxxx xxxx
(Continue reading)

FX | 3 Dec 04:15 2005
Picon
Picon

vpopmail 5.4.13 marked as stable and 5.4.14 release date

Hi,

I noticed that vpopmail 5.4.13 was marked stable and in my limited 
testing, it seems to work fine. 

Are there any problems with 5.4.13 that we should know about before 
rolling it out into production servers?

Also, what is the rough estimate of the release date for vpopmail 5.4.14?

Thanks.

Tom Collins | 3 Dec 05:20 2005

Re: vpopmail 5.4.13 marked as stable and 5.4.14 release date

On Dec 2, 2005, at 7:15 PM, FX wrote:
> I noticed that vpopmail 5.4.13 was marked stable and in my limited 
> testing, it seems to work fine.
> Are there any problems with 5.4.13 that we should know about before 
> rolling it out into production servers?

The only significant problem is that vdelivermail seems to be ignoring 
the "delete all mail" option in users' .qmail files.  That's fixed in 
the stable-5_4 branch of CVS.

> Also, what is the rough estimate of the release date for vpopmail 
> 5.4.14?

Within the next two weeks?  Someone just posted a patch to allow 
integration of vpopmaild into the 5.4 branch, something that a few 
people have asked for.  I've also received some other patches to 
integrate.  I can try to get a release out within a week.

Tom Collins
Tom Logic LLC
PO Box 5717
Napa, CA 94581
(707) 265-6622
(707) 265-6646 fax
tom <at> tomlogic.com

Damien Croarken | 5 Dec 05:07 2005
Picon

Quota Checking

I have installed the latest version of the toaster.  It works wonderfully, I have also installed Matts mysql relay patch.  However I cannot seem to get chkuser to actually deny mail based upon Quota checking.  I believe that I need to define a variable in the run script, can anyone give me any more info on how I might get this to work.

 

Damien

 

Damien Croarken | 5 Dec 05:10 2005
Picon

Quota Checking

I have installed the latest version of the toaster.  It works wonderfully, I have also installed Matts mysql relay patch.  However I cannot seem to get chkuser to actually deny mail based upon Quota checking.  I believe that I need to define a variable in the run script, can anyone give me any more info on how I might get this to work.

 

Damien

 

Chopper | 5 Dec 06:32 2005
Picon
Picon

"Error: Could not open qmail default" solution.


Run a "make clean" inside the vpopamil source before re-compiling.

Chopper

tonix (Antonio Nati | 5 Dec 14:54 2005
Picon

Re: Quota Checking

At 05.10 05/12/2005, you wrote:
I have installed the latest version of the toaster.  It works wonderfully, I have also installed Matts mysql relay patch.  However I cannot seem to get chkuser to actually deny mail based upon Quota checking.  I believe that I need to define a variable in the run script, can anyone give me any more info on how I might get this to work.

In your chkuser_settings.h you have a line like:

#define CHKUSER_MBXQUOTA_VARIABLE "CHKUSER_MBXQUOTA"

This line tells you the name of the variable to be used.

Now you can put in your running command an explicit set of the variable

CHKUSER_MBXQUOTA=95     

or put it inside tcp.smtp

:allow,CHKUSER_MBXQUOTA="95"

where 95 means 95% of the quota (change it as you like).

Tonino


 
Damien
 


Gmane